<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.financeManage.mapper.FdProjectReceivablesBMapper">

	<delete id="deleteByMainId" parameterType="java.lang.String">
		UPDATE fd_handoverfee_b set del_flag=1 WHERE
		pk_head_id = #{id}
	</delete>
	<delete id="deleteById" parameterType="java.lang.String">
		DELETE
		FROM  fd_project_receivables_b
		WHERE
			 pk_head_id = #{id}
	</delete>
	
	<select id="selectByMainId" parameterType="java.lang.String" resultType="org.jeecg.modules.financeManage.entity.FdProjectReceivablesB">
		SELECT * 
		FROM  fd_project_receivables_b
		WHERE
			 pk_head_id = #{id}
		ORDER BY number
	</select>
</mapper>
